%define version	0.5.3
%define cvs	20070802
%if %cvs
%define release	%mkrel 0.%cvs.1
%else
%define release	%mkrel 1
%endif

%define scim_version 1.4.2

%define major		0
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} %{major}

Name:		scim-skk
Summary:	Scim-skk is an SCIM IMEngine module for skk
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL+
URL:		http://sourceforge.jp/projects/scim-imengine/
%if %cvs
Source0:	%{name}-%{cvs}.tar.bz2
%else
Source0:	http://prdownloads.sourceforge.jp/scim-imengine/18121/%{name}-%{version}.tar.gz
%endif
Requires:	%{libname} = %{version}
Requires:	scim >= %{scim_version}
Requires:	skkdic
BuildRequires:	scim-devel >= %{scim_version}
BuildRequires:	automake1.8, libltdl-devel

%description
Scim-skk is an SCIM IMEngine module for skk.
It supports Japanese input.


%package -n %{libname}
Summary:	Scim-skk library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-skk library.


%prep
%if %cvs
%setup -q -n %name
%else
%setup -q
%endif

%build
%if %cvs
autoreconf -i
%endif

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/1.4.0/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README README.ja
%{_datadir}/scim/icons/*
%{_datadir}/scim/SKK/style/*.sty

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/scim-1.0/1.4.0/IMEngine/*.so
%{_libdir}/scim-1.0/1.4.0/SetupUI/*.so


%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.3-0.20070802.1mdv2008.1
+ Revision: 127051
- kill re-definition of %%buildroot on Pixel's request

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.3-0.20070802.1mdv2008.0
+ Revision: 58461
- fix removal of unneeded files for new path
- rebuild for 2008
- don't package COPYING
- use autoreconf instead of doing each autotools step separately
- clean buildrequires
- use Fedora licensing policy
- spec clean
- use correct versioning for CVS snapshots
- new CVS snapshot


* Thu Aug 03 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.2-4.20060803.1mdv2007.0
- latest snapshot
- remove patch0 (scim-skk-dictionary.diff)
- (merged upstream)

* Sat Apr 29 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.2-3mdk
- change patch0 for scim-bridge
- (scim-bridge caused segfault against scim-skk)

* Mon Jan 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.2-2mdk
- add patch0

* Thu Dec 22 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.2-1mdk
- new release

* Sun Dec 18 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.1-2.20051218.1mdk
- latest snapshot

* Thu Dec 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-1mdk
- new release

* Thu Dec 01 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-1mdk
- new release
- drop deleted doc
- package more usefull NEWS file instead of ChangeLog

* Tue Nov 15 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-3.20051115.1mdk
- latest snapshot

* Thu Nov 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-2.20051110.1mdk
- latest snapshot

* Sat Oct 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.0-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0-1mdk
- new release

* Tue Jul 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-4mdk
- Rebuild for new scim

* Mon Jun 20 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.2.0-2mdk
- rebuild for new scim
- %%mkrel

* Wed Apr 06 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2.20050308.1mdk
- latest snapshot (fix resizing the candidate window)

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-2.20050217.3mdk
- rebuild for new scim

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-2.20050217.2mdk
- fix requires
- rebuild for broken rpmctl

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2.20050217.1mdk
- latest snapshot
- rebuild with scim-1.1.3
- spec cleanup

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release
- fix build with new automake

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- first spec
- fix rpmlint warnings (tv)

